# $Revision: 1.4 $, $Date: 2002/07/21 20:12:49 $
Summary:	Little utility will cool your processor
Summary(pl):	Mae narzdzie, ktre bdzie chodzio twj procesor
Name:		lvcool
Version:	1.7
Release:	1
License:	GPL v2
Group:		Daemons
Source0:	http://vcool.occludo.net/VCool-%{version}-Linux.tar.gz
Source1:	%{name}.init
Patch0:		%{name}-DESTDIR.patch
Patch1:		%{name}-fork.patch
URL:		http://vcool.occludo.net/VC_Linux.html
ExclusiveArch:	%{ix86}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
LVCool will cool your Athlon/Duron processor by switching it to a
low-power mode on Via KT133 or KX133 (VT8363 or VT8371/VT82C686x)
chipsets during idle.

%description -l pl
LVCool ochodzi twj procesor poprzez przeczenie go do trybu o
niskim poborze mocy na chipsetach KT133 lub KX133 (VT8363 lub
VT8371/VT82C686x) podczas stanu jaowego.

%prep
%setup  -q -n LVCool
%patch0 -p1
%patch1 -p1

%build
%{__make} CC="%{__cc}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/{usr/sbin,etc/rc.d/init.d}

%{__make} install DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/lvcool

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add lvcool
if [ -f /var/lock/subsys/lvcool ]; then
	/etc/rc.d/init.d/lvcool restart 1>&2
else
	echo "Run \"/etc/rc.d/init.d/lvcool start\" to start lvcool daemon."
fi

%preun
if [ "$1" = "0" ]; then
	if [ -f /var/lock/subsys/lvcool ]; then
		/etc/rc.d/init.d/lvcool stop 1>&2
	fi
	/sbin/chkconfig --del lvcool
fi


%files
%defattr(644,root,root,755)
%attr(754,root,root) %{_sbindir}/%{name}
%attr(754,root,root) /etc/rc.d/init.d/lvcool

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: lvcool.spec,v $
Revision 1.4  2002/07/21 20:12:49  kloczek
- ExclusiveArch: %%{ix86},
- use proper CC.

Revision 1.3  2002/07/21 15:54:28  blues
- release 1
- fork patch added, init script changed
STBR

Revision 1.2  2002/07/21 15:40:28  jajcus
- this is C++ program, so use %{__cxx} to compile (needed for Nest gcc)

Revision 1.1  2002/07/21 15:27:38  blues
- initial release - works great!
- TODO - forking

